<?php


namespace App\Mobile\Synchronization\Resources;


use Illuminate\Http\Resources\Json\JsonResource;

class SyncAddressMobileResource extends JsonResource
{
    public function toArray($request)
    {

        return [
            "pee_codigo" => $this->address->pee_codigo ?? $this->pee_codigo ?? "",
            "pee_logradouro" => $this->os_end_logradouro ?? $this->address->pee_logradouro ?? $this->pee_logradouro ?? "",
            "pee_numero" =>  $this->os_end_numero ?? $this->address->pee_numero ?? $this->pee_numero ?? "",
            "pee_cep" =>  $this->os_end_cep ?? $this->address->pee_cep ?? $this->pee_cep ?? "",
            "pee_uf" =>  $this->os_end_uf ?? $this->address->pee_end_uf ?? $this->pee_uf ?? "",
            "pee_bairro" => $this->os_end_bairro ?? $this->address->pee_bairro ?? $this->pee_bairro ?? "",
            "pee_cidade" => $this->os_end_cidade ?? $this->address->pee_cidade ?? $this->pee_cidade ?? "",
            "pee_complemento" => $this->os_end_complemento ?? $this->address->pee_complemento  ?? $this->pee_complemento ?? "",

        ];
    }
}
