<?php

namespace App\Mobile\Synchronization\Resources;

use Illuminate\Http\Resources\Json\JsonResource;

class SyncProductResource extends JsonResource
{
    /**
     * Transform the resource into an array.
     *
     * @param \Illuminate\Http\Request $request
     * @return array
     */
    public function toArray($request)
    {
        return [
            "pro_codigo" => $this->product_variety->product_mobile->pro_codigo ?? null,
            "prv_codigo" => $this->product_variety->prv_codigo ?? null,
            "pve_codigo" => $this->pve_codigo ?? null,
            "pro_descricao" => $this->product_variety->product_mobile->pro_descricao . ' , ' . $this->product_variety->prv_descricao ?? null,
            "unm_sigla" => $this->product_variety->measurement_unit->unm_sigla ?? null,
            "pve_desconto_maximo" => $this->pve_desconto_maximo ?? null,
            "product_complete_name" => $this->product_complete_name ?? null,
        ];
    }
}

