<?php


namespace App\RestApi\Contract\Resources;

use App\RestApi\Product\Resources\ServiceResource;
use Freelabois\LaravelQuickstart\Overridden\BaseResource;

class ContractServiceResource extends BaseResource
{
    public function toArray($request)
    {
        $relationships = [];
        $returnable = [
            "cos_codigo"=> $this->cos_codigo ?? null,
			"cos_fk_con_codigo"=> $this->cos_fk_con_codigo ?? null,
			"cos_fk_pro_codigo"=> $this->cos_fk_pro_codigo ?? null,
			"cos_descricao"=> $this->cos_descricao ?? null,
			"cos_quantidade"=> $this->cos_quantidade ?? null,
			"cos_user_insert"=> $this->cos_user_insert ?? null,
			"cos_date_insert"=> $this->cos_date_insert ?? null,
			"cos_user_update"=> $this->cos_user_update ?? null,
			"cos_date_update"=> $this->cos_date_update ?? null,
			"cos_franquia"=> $this->cos_franquia ?? null,
            
        ];

        $relationships['servicos'] = new ServiceResource($this->whenLoaded('service')) ?? [];
        
        return $returnable + $relationships;

    }
}
























