<?php

namespace App\RestApi\ProductionOrder\Controllers;

use App\Http\Controller;
use Freelabois\LaravelQuickstart\Traits\Crudable;
use Illuminate\Http\Request;
use Schaffen\ProductionOrder\ProductionOrder\Managers\ProductionOrderItemManager;
use Schaffen\ProductionOrder\ProductionOrder\Repositories\ProductionOrderItemRepository;

class ProductionOrderItemController extends Controller
{
    //
    use Crudable;

    public function __construct(
        ProductionOrderItemManager $manager,
        ProductionOrderItemRepository $repository
    )
    {
        $this->setup($manager, $repository);
    }
}
