<?php
Route::group(['prefix' => 'fiscal'], function () {
    Route::group(['prefix' => 'company'], function () {
        Route::apiResource('cfop', Company\Controllers\CFOPController::class);
    });
    Route::apiResource('/fiscal-document', FiscalDocument\Controllers\FiscalDocumentController::class);
    Route::apiResource('/Nfst', FiscalDocument\Controllers\NfstController::class);
    Route::apiResource('/Nfsta', FiscalDocument\Controllers\NfstaController::class);
    Route::apiResource('/Sdf', FiscalDocument\Controllers\SdfController::class);
    Route::post('/geraDocumento', 'FiscalDocument\Controllers\NfstController@geraDocumento');
    Route::get('/download/{id}', 'FiscalDocument\Controllers\NfstaController@download');
});



//Route::get('/nfe/danfe/{id}', 'NFeDownloader\Controllers\NFeController@getDanfe');
