<?php


namespace App\Mobile\Synchronization\Resources;


use Illuminate\Http\Resources\Json\JsonResource;

class SyncInstallmentResource extends JsonResource
{
    public function toArray($request)
    {
        $relationships = [];
        if (isset($this->total)) {
            $relationships['total'] = $this->total;
        }

        return [
                'par_codigo' => $this->par_codigo,
                'par_data_vencimento_atual' => $this->par_data_vencimento_atual->format('Y-m-d H:i:s'),
            ] + $relationships;
    }
}