<?php

namespace App\RestApi\ProductionOrder\Requests;

use Illuminate\Foundation\Http\FormRequest;

class UpdateCompositeProductRequest extends FormRequest
{
    /**
     * Determine if the user is authorized to make this request.
     *
     * @return bool
     */
    public function authorize()
    {
        return true;
    }

    /**
     * Get the validation rules that apply to the request.
     *
     * @return array
     */
    public function rules()
    {
        return [
            "composicao.*.pcp_fk_pve_codigo_materia_prima" => "integer|present",
            "composicao.*.pcp_quantidade" => "numeric|present",
            "composicao.*.pcp_controla_estoque" => "integer|present",
            "composicao.*.pcp_valor_unitario" => "numeric|present",
            "composicao.*.pcp_total" => "numeric|present"
        ];
    }
}
